Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.167.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
15.167.32.0
Broadcast address
15.167.47.255
First usable
15.167.32.1
Last usable
15.167.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 0FA72000 · Integer 262610944 to 262615039
Reverse DNS zones
32.167.15.in-addr.arpa
33.167.15.in-addr.arpa
34.167.15.in-addr.arpa
35.167.15.in-addr.arpa
36.167.15.in-addr.arpa
37.167.15.in-addr.arpa
38.167.15.in-addr.arpa
39.167.15.in-addr.arpa
40.167.15.in-addr.arpa
41.167.15.in-addr.arpa
42.167.15.in-addr.arpa
43.167.15.in-addr.arpa
44.167.15.in-addr.arpa
45.167.15.in-addr.arpa
46.167.15.in-addr.arpa
47.167.15.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.10100111.00100000.0000000015.167.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00001111.10100111.00100000.0000000015.167.32.0
Broadcast00001111.10100111.00101111.1111111115.167.47.255
Split into smaller subnets/27

15.167.32.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.167.32.0/2715.167.32.1 to 15.167.32.3015.167.32.3130
215.167.32.32/2715.167.32.33 to 15.167.32.6215.167.32.6330
315.167.32.64/2715.167.32.65 to 15.167.32.9415.167.32.9530
415.167.32.96/2715.167.32.97 to 15.167.32.12615.167.32.12730
515.167.32.128/2715.167.32.129 to 15.167.32.15815.167.32.15930
615.167.32.160/2715.167.32.161 to 15.167.32.19015.167.32.19130
715.167.32.192/2715.167.32.193 to 15.167.32.22215.167.32.22330
815.167.32.224/2715.167.32.225 to 15.167.32.25415.167.32.25530
915.167.33.0/2715.167.33.1 to 15.167.33.3015.167.33.3130
1015.167.33.32/2715.167.33.33 to 15.167.33.6215.167.33.6330
1115.167.33.64/2715.167.33.65 to 15.167.33.9415.167.33.9530
1215.167.33.96/2715.167.33.97 to 15.167.33.12615.167.33.12730
1315.167.33.128/2715.167.33.129 to 15.167.33.15815.167.33.15930
1415.167.33.160/2715.167.33.161 to 15.167.33.19015.167.33.19130
1515.167.33.192/2715.167.33.193 to 15.167.33.22215.167.33.22330
1615.167.33.224/2715.167.33.225 to 15.167.33.25415.167.33.25530
1715.167.34.0/2715.167.34.1 to 15.167.34.3015.167.34.3130
1815.167.34.32/2715.167.34.33 to 15.167.34.6215.167.34.6330
1915.167.34.64/2715.167.34.65 to 15.167.34.9415.167.34.9530
2015.167.34.96/2715.167.34.97 to 15.167.34.12615.167.34.12730
2115.167.34.128/2715.167.34.129 to 15.167.34.15815.167.34.15930
2215.167.34.160/2715.167.34.161 to 15.167.34.19015.167.34.19130
2315.167.34.192/2715.167.34.193 to 15.167.34.22215.167.34.22330
2415.167.34.224/2715.167.34.225 to 15.167.34.25415.167.34.25530
2515.167.35.0/2715.167.35.1 to 15.167.35.3015.167.35.3130
2615.167.35.32/2715.167.35.33 to 15.167.35.6215.167.35.6330
2715.167.35.64/2715.167.35.65 to 15.167.35.9415.167.35.9530
2815.167.35.96/2715.167.35.97 to 15.167.35.12615.167.35.12730
2915.167.35.128/2715.167.35.129 to 15.167.35.15815.167.35.15930
3015.167.35.160/2715.167.35.161 to 15.167.35.19015.167.35.19130
3115.167.35.192/2715.167.35.193 to 15.167.35.22215.167.35.22330
3215.167.35.224/2715.167.35.225 to 15.167.35.25415.167.35.25530
3315.167.36.0/2715.167.36.1 to 15.167.36.3015.167.36.3130
3415.167.36.32/2715.167.36.33 to 15.167.36.6215.167.36.6330
3515.167.36.64/2715.167.36.65 to 15.167.36.9415.167.36.9530
3615.167.36.96/2715.167.36.97 to 15.167.36.12615.167.36.12730
3715.167.36.128/2715.167.36.129 to 15.167.36.15815.167.36.15930
3815.167.36.160/2715.167.36.161 to 15.167.36.19015.167.36.19130
3915.167.36.192/2715.167.36.193 to 15.167.36.22215.167.36.22330
4015.167.36.224/2715.167.36.225 to 15.167.36.25415.167.36.25530
4115.167.37.0/2715.167.37.1 to 15.167.37.3015.167.37.3130
4215.167.37.32/2715.167.37.33 to 15.167.37.6215.167.37.6330
4315.167.37.64/2715.167.37.65 to 15.167.37.9415.167.37.9530
4415.167.37.96/2715.167.37.97 to 15.167.37.12615.167.37.12730
4515.167.37.128/2715.167.37.129 to 15.167.37.15815.167.37.15930
4615.167.37.160/2715.167.37.161 to 15.167.37.19015.167.37.19130
4715.167.37.192/2715.167.37.193 to 15.167.37.22215.167.37.22330
4815.167.37.224/2715.167.37.225 to 15.167.37.25415.167.37.25530
4915.167.38.0/2715.167.38.1 to 15.167.38.3015.167.38.3130
5015.167.38.32/2715.167.38.33 to 15.167.38.6215.167.38.6330
5115.167.38.64/2715.167.38.65 to 15.167.38.9415.167.38.9530
5215.167.38.96/2715.167.38.97 to 15.167.38.12615.167.38.12730
5315.167.38.128/2715.167.38.129 to 15.167.38.15815.167.38.15930
5415.167.38.160/2715.167.38.161 to 15.167.38.19015.167.38.19130
5515.167.38.192/2715.167.38.193 to 15.167.38.22215.167.38.22330
5615.167.38.224/2715.167.38.225 to 15.167.38.25415.167.38.25530
5715.167.39.0/2715.167.39.1 to 15.167.39.3015.167.39.3130
5815.167.39.32/2715.167.39.33 to 15.167.39.6215.167.39.6330
5915.167.39.64/2715.167.39.65 to 15.167.39.9415.167.39.9530
6015.167.39.96/2715.167.39.97 to 15.167.39.12615.167.39.12730
6115.167.39.128/2715.167.39.129 to 15.167.39.15815.167.39.15930
6215.167.39.160/2715.167.39.161 to 15.167.39.19015.167.39.19130
6315.167.39.192/2715.167.39.193 to 15.167.39.22215.167.39.22330
6415.167.39.224/2715.167.39.225 to 15.167.39.25415.167.39.25530
6515.167.40.0/2715.167.40.1 to 15.167.40.3015.167.40.3130
6615.167.40.32/2715.167.40.33 to 15.167.40.6215.167.40.6330
6715.167.40.64/2715.167.40.65 to 15.167.40.9415.167.40.9530
6815.167.40.96/2715.167.40.97 to 15.167.40.12615.167.40.12730
6915.167.40.128/2715.167.40.129 to 15.167.40.15815.167.40.15930
7015.167.40.160/2715.167.40.161 to 15.167.40.19015.167.40.19130
7115.167.40.192/2715.167.40.193 to 15.167.40.22215.167.40.22330
7215.167.40.224/2715.167.40.225 to 15.167.40.25415.167.40.25530
7315.167.41.0/2715.167.41.1 to 15.167.41.3015.167.41.3130
7415.167.41.32/2715.167.41.33 to 15.167.41.6215.167.41.6330
7515.167.41.64/2715.167.41.65 to 15.167.41.9415.167.41.9530
7615.167.41.96/2715.167.41.97 to 15.167.41.12615.167.41.12730
7715.167.41.128/2715.167.41.129 to 15.167.41.15815.167.41.15930
7815.167.41.160/2715.167.41.161 to 15.167.41.19015.167.41.19130
7915.167.41.192/2715.167.41.193 to 15.167.41.22215.167.41.22330
8015.167.41.224/2715.167.41.225 to 15.167.41.25415.167.41.25530
8115.167.42.0/2715.167.42.1 to 15.167.42.3015.167.42.3130
8215.167.42.32/2715.167.42.33 to 15.167.42.6215.167.42.6330
8315.167.42.64/2715.167.42.65 to 15.167.42.9415.167.42.9530
8415.167.42.96/2715.167.42.97 to 15.167.42.12615.167.42.12730
8515.167.42.128/2715.167.42.129 to 15.167.42.15815.167.42.15930
8615.167.42.160/2715.167.42.161 to 15.167.42.19015.167.42.19130
8715.167.42.192/2715.167.42.193 to 15.167.42.22215.167.42.22330
8815.167.42.224/2715.167.42.225 to 15.167.42.25415.167.42.25530
8915.167.43.0/2715.167.43.1 to 15.167.43.3015.167.43.3130
9015.167.43.32/2715.167.43.33 to 15.167.43.6215.167.43.6330
9115.167.43.64/2715.167.43.65 to 15.167.43.9415.167.43.9530
9215.167.43.96/2715.167.43.97 to 15.167.43.12615.167.43.12730
9315.167.43.128/2715.167.43.129 to 15.167.43.15815.167.43.15930
9415.167.43.160/2715.167.43.161 to 15.167.43.19015.167.43.19130
9515.167.43.192/2715.167.43.193 to 15.167.43.22215.167.43.22330
9615.167.43.224/2715.167.43.225 to 15.167.43.25415.167.43.25530
9715.167.44.0/2715.167.44.1 to 15.167.44.3015.167.44.3130
9815.167.44.32/2715.167.44.33 to 15.167.44.6215.167.44.6330
9915.167.44.64/2715.167.44.65 to 15.167.44.9415.167.44.9530
10015.167.44.96/2715.167.44.97 to 15.167.44.12615.167.44.12730
10115.167.44.128/2715.167.44.129 to 15.167.44.15815.167.44.15930
10215.167.44.160/2715.167.44.161 to 15.167.44.19015.167.44.19130
10315.167.44.192/2715.167.44.193 to 15.167.44.22215.167.44.22330
10415.167.44.224/2715.167.44.225 to 15.167.44.25415.167.44.25530
10515.167.45.0/2715.167.45.1 to 15.167.45.3015.167.45.3130
10615.167.45.32/2715.167.45.33 to 15.167.45.6215.167.45.6330
10715.167.45.64/2715.167.45.65 to 15.167.45.9415.167.45.9530
10815.167.45.96/2715.167.45.97 to 15.167.45.12615.167.45.12730
10915.167.45.128/2715.167.45.129 to 15.167.45.15815.167.45.15930
11015.167.45.160/2715.167.45.161 to 15.167.45.19015.167.45.19130
11115.167.45.192/2715.167.45.193 to 15.167.45.22215.167.45.22330
11215.167.45.224/2715.167.45.225 to 15.167.45.25415.167.45.25530
11315.167.46.0/2715.167.46.1 to 15.167.46.3015.167.46.3130
11415.167.46.32/2715.167.46.33 to 15.167.46.6215.167.46.6330
11515.167.46.64/2715.167.46.65 to 15.167.46.9415.167.46.9530
11615.167.46.96/2715.167.46.97 to 15.167.46.12615.167.46.12730
11715.167.46.128/2715.167.46.129 to 15.167.46.15815.167.46.15930
11815.167.46.160/2715.167.46.161 to 15.167.46.19015.167.46.19130
11915.167.46.192/2715.167.46.193 to 15.167.46.22215.167.46.22330
12015.167.46.224/2715.167.46.225 to 15.167.46.25415.167.46.25530
12115.167.47.0/2715.167.47.1 to 15.167.47.3015.167.47.3130
12215.167.47.32/2715.167.47.33 to 15.167.47.6215.167.47.6330
12315.167.47.64/2715.167.47.65 to 15.167.47.9415.167.47.9530
12415.167.47.96/2715.167.47.97 to 15.167.47.12615.167.47.12730
12515.167.47.128/2715.167.47.129 to 15.167.47.15815.167.47.15930
12615.167.47.160/2715.167.47.161 to 15.167.47.19015.167.47.19130
12715.167.47.192/2715.167.47.193 to 15.167.47.22215.167.47.22330
12815.167.47.224/2715.167.47.225 to 15.167.47.25415.167.47.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses